Cell (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Interface Cell

- All Superinterfaces:
    OnDiskAtom
  All Known Subinterfaces:
    CounterCell, CounterUpdateCell, DeletedCell, ExpiringCell
  All Known Implementing Classes:
    AbstractCell, AbstractNativeCell, BufferCell, BufferCounterCell, BufferCounterUpdateCell, BufferDeletedCell, BufferExpiringCell, NativeCell, NativeCounterCell, NativeDeletedCell, NativeExpiringCell

      public interface Cell
      extends OnDiskAtom

  Cell is immutable, which prevents all kinds of confusion in a multithreaded environment.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

      `OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_NAME_LENGTH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cellDataSize()`
    `Cell` | `diff(Cell cell)`
    `java.lang.String` | `getString(CellNameType comparator)`
    `boolean` | `isLive()`
    `boolean` | `isLive(long now)`
    `Cell` | `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
    `Cell` | `localCopy(CFMetaData metaData, MemtableAllocator allocator, OpOrder.Group opGroup)`
    `CellName` | `name()`
    `Cell` | `reconcile(Cell cell)`
    `int` | `serializationFlags()`
    `int` | `serializedSize(CellNameType type, TypeSizes typeSizes)`
    `long` | `unsharedHeapSizeExcludingData()`
    `java.nio.ByteBuffer` | `value()`
    `Cell` | `withUpdatedName(CellName newName)`
    `Cell` | `withUpdatedTimestamp(long newTimestamp)`
    `Cell` | `withUpdatedTimestampAndLocalDeletionTime(long newTimestamp, int newLocalDeletionTime)`

    - ### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

      `getLocalDeletionTime, timestamp, updateDigest, validateFields`

- - ### Field Detail

    - #### MAX_NAME_LENGTH

          static final int MAX_NAME_LENGTH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### withUpdatedName

          Cell withUpdatedName(CellName newName)

    - #### withUpdatedTimestamp

          Cell withUpdatedTimestamp(long newTimestamp)

    - #### withUpdatedTimestampAndLocalDeletionTime

          Cell withUpdatedTimestampAndLocalDeletionTime(long newTimestamp,
                                                        int newLocalDeletionTime)

    - #### name

          CellName name()

      Specified by:
        `name` in interface `OnDiskAtom`

    - #### value

          java.nio.ByteBuffer value()

    - #### isLive

          boolean isLive()

    - #### isLive

          boolean isLive(long now)

    - #### cellDataSize

          int cellDataSize()

    - #### unsharedHeapSizeExcludingData

          long unsharedHeapSizeExcludingData()

    - #### serializedSize

          int serializedSize(CellNameType type,
                             TypeSizes typeSizes)

    - #### serializationFlags

          int serializationFlags()

    - #### diff

          Cell diff(Cell cell)

    - #### reconcile

          Cell reconcile(Cell cell)

    - #### localCopy

          Cell localCopy(CFMetaData metadata,
                         AbstractAllocator allocator)

    - #### localCopy

          Cell localCopy(CFMetaData metaData,
                         MemtableAllocator allocator,
                         OpOrder.Group opGroup)

    - #### getString

          java.lang.String getString(CellNameType comparator)

Copyright © 2018 The Apache Software Foundation